        /* Projects Section */
        
        .projects {
            background-image: url('/img/OJminingBg2.jpg');
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            color: white;
            padding: 100px 0;
            position: relative;
            text-align: center;
        }
        
        .projects::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.733);
            /* Adjust the alpha value (0.5) to control darkness */
            z-index: 1;
            /* Ensure the overlay is above the background image */
        }
        
        .projects>* {
            /*This ensures any child element will be above the dark overlay*/
            position: relative;
            z-index: 2;
        }
        
        .projects h3 {
            font-size: 24px;
            font-weight: bold;
            color: var(--white);
            margin-bottom: 10px;
        }
        
        .projects h1 {
            font-size: 36px;
            font-weight: bold;
            color: var(--white);
            margin-bottom: 20px;
        }
        
        .projects p {
            font-size: 18px;
            color: var(--white);
            margin-bottom: 50px;
            line-height: 1.6;
        }
        
        .projects .project-grid {
            display: grid;
            grid-template-columns: repeat(5, 1fr);
            /* 5 columns */
            grid-template-rows: repeat(3, 1fr);
            /* 3 rows */
            gap: 20px;
            /* Space between images */
            margin-bottom: 0px;
            overflow: hidden;
        }
        
        .projects .project-grid img {
            width: 100%;
            /* Or a specific width if you want all squares to be a certain size */
            height: auto;
            /* Let the height adjust initially */
            object-fit: cover;
            aspect-ratio: 1 / 1;
            /* This makes the element a square */
            transition: transform 0.3s ease, box-shadow 0.3s ease;
        }
        
        .projects .project-grid img:hover {
            transform: scale(1.05);
            box-shadow: 0 4px 20px rgba(0, 0, 0, 0.2);
        }